<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class DetalleReporteFinalEvaluacionAcreditacion extends Model
{
    protected $table = "ins_detallerep";
    protected $primaryKey = 'cve_detrep';
    protected $fillable = ['noEst_detrep', 'noEstUa_detrep', 'noEstSa_detrep', 'noEstEsp_detrep', 'pAcre_detrep', 'noEstNoA_detrep', 'pNAcre_detrep', 'noEstDe_detrep', 'pEstDe_detrep', 'cve_mat',];

    public function materia()
    {
        return $this->hasOne('App\Materia', 'cve_mat', 'cve_mat');
    }

    public function detrFea()
    {
        return $this->hasMany('App\detalleReporteFinalEvaluacionAcreditacion', 'cve_detrep', 'cve_detrep');
    }
}
